# Copyright (c) 2021, JINGROW
# See license.txt

import unittest

import jingrow

from jcloud.jcloud.pagetype.ssh_key.ssh_key import SSHKey


def create_test_ssh_key() -> SSHKey:
	return jingrow.get_pg(
		{
			"pagetype": "SSH Key",
			"name": "Test SSH Key",
			"public_key": "ssh-rsa AAAAB3",
		}
	).insert(ignore_if_duplicate=True)


class TestSSHKey(unittest.TestCase):
	pass
